# Uses of Interface
org.apache.wiki.auth.Authorizer

Packages that use Authorizer
Package
Description
org.apache.wiki.auth
Authentication, Authorization and the third A thing.
org.apache.wiki.auth.authorize
Authorizer implementation.
org.apache.wiki.auth.login
Provides the different login modules that JSPWiki uses.

## Uses of Authorizer in org.apache.wiki.auth

Methods in org.apache.wiki.auth that return Authorizer
Modifier and Type
Method
Description
`Authorizer`
AuthorizationManager.`getAuthorizer()`
Returns the current external `Authorizer` in use.
`Authorizer`
DefaultAuthorizationManager.`getAuthorizer()`
Returns the current external `Authorizer` in use.

## Uses of Authorizer in org.apache.wiki.auth.authorize

Subinterfaces of Authorizer in org.apache.wiki.auth.authorize
Modifier and Type
Interface
Description
`interface`
`GroupManager`
Facade class for storing, retrieving and managing wiki groups on behalf of AuthorizationManager, JSPs and other presentation-layer classes.
`interface`
`WebAuthorizer`
Extends the `Authorizer` interface by including a delegate method for `HttpServletRequest.isUserInRole(String)`.
Classes in org.apache.wiki.auth.authorize that implement Authorizer
Modifier and Type
Class
Description
`class`
`DefaultGroupManager`
Facade class for storing, retrieving and managing wiki groups on behalf of AuthorizationManager, JSPs and other presentation-layer classes.
`class`
`WebContainerAuthorizer`
Authorizes users by delegating role membership checks to the servlet container.

## Uses of Authorizer in org.apache.wiki.auth.login

Methods in org.apache.wiki.auth.login that return Authorizer
Modifier and Type
Method
Description
`Authorizer`
AuthorizerCallback.`getAuthorizer()`
Returns the authorizer.
Methods in org.apache.wiki.auth.login with parameters of type Authorizer
Modifier and Type
Method
Description
`void`
AuthorizerCallback.`setAuthorizer(Authorizer authorizer)`
Sets the authorizer object.